[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Probleme woody to sid

Am 2004-07-27 12:40:55, schrieb Mohammed SLIMANI:
>Hello, I am new in Linux, I installed debian woody 3.0r2, and with a lot of
>difficulty I managed to make work my connection ADSL, then I wanted to pass to
>SID because I use my pc as workstation (a compaq evo n1020v) and the graphic
>packages of the woody is very old, so I edited the file /etc/apt/sources.list
>to change the woody by sid (I left the security line) then I have make:
>apt-get update
>it connects, and it begins downloading... after it stops with an error like :
>EE:: EErrrroorr wwhhiillee pprroocceessssiinngg ppaacckkaaggeess xxxxxxxx
>I do not know what to do, please help me, and sorry for my English is too bad :

This error mean, that you have no Diskspace left to write the file.

Before preceeding "apt-get update" make a:

    rm -i /var/lib/apt/lists/*

which will remove the old stuff.

Add the following line to your /etc/apt/sources.list

  ____ ( '/etc/apt/sources.list' ) _____________________________________
|  # deb     ftp://ftp.debian.org/debian           woody          main 
|  # deb     ftp://ftp.debian.org/debian-security  woody/updates  main 
|  # deb     ftp://ftp.debian.org/debian-non-US    woody          non-US/main 
|  # deb-src ftp://ftp.debian.org/debian           woody          main
|  # deb-src ftp://ftp.debian.org/debian-security  woody/updates  main
|  # deb-src ftp://ftp.debian.org/debian-non-US    woody          non-US/main
|  deb     ftp://ftp.debian.org/debian           sarge          main 
|  deb     ftp://ftp.debian.org/debian-security  sarge/updates  main 
|  deb     ftp://ftp.debian.org/debian-non-US    sarge          non-US/main 
|  deb-src ftp://ftp.debian.org/debian           sarge          main
|  deb-src ftp://ftp.debian.org/debian-non-US    sarge          non-US/main

and comment out (or erase) all other entries. 
Because the package list of SARGE is much bigger as in WOODY you need 
to create the file 

  ____ ( '/etc/apt/apt.conf' ) _________________________________________
|  APT::Cache-Limit "141943904";
|  Aptitude::Delete-Unused;

Now an "apt-get update" will work.


Linux-User #280138 with the Linux Counter, http://counter.li.org/ 
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/3/88452356    67100 Strasbourg/France   IRC #Debian (irc.icq.com)

Attachment: signature.pgp
Description: Digital signature

Reply to: